Skip to main content
GET
Get Portfolio Group Items

Authorizations

X-API-Key
string
header
required

Path Parameters

group_id
string<uuid>
required

Query Parameters

q
string | null

The query param. Can be a business name, person name, business_id, person_id, or a type (business or person). If it is a business id or a person id (UUID), it will be used to search by id. If it is a business name or a person name, it will be used to search by name (case-insensitive). If it is a type (business or person), it will be used to search by type. If it is not provided, all portfolio items will be returned.

limit
integer
default:10

Maximum number of records to return in a single page. Must be between 1 and 1000.

Required range: 1 <= x <= 1000
offset
integer | null

Number of records to skip from the beginning. Use 0 for the first page. Cannot be used with cursor.

Required range: x >= 0
cursor
string | null

Opaque pagination cursor token that identifies the position in the result set. Use the cursor from the previous response to get the next page. Cannot be used with offset.

start_date
string<date> | null

Filter records created on or after this date (format: YYYY-MM-DD).

end_date
string<date> | null

Filter records created on or before this date (format: YYYY-MM-DD).

tz
string
default:UTC

IANA timezone identifier used to interpret start_date and end_date (defaults to UTC).

Examples:

"UTC"

"America/Los_Angeles"

"Europe/London"

Response

Response

Represents a summary of a business portfolio item.

id
string<uuid>
required

The unique identifier of the portfolio item.

search_id
string<uuid>
required

The unique identifier of the search that the portfolio item is based on.

Example:

"c623e29e-1f57-11ef-938f-1edb1b067314"

name
string
required

The name of the portfolio item.

created_at
string<date-time>
required

The timestamp of when the portfolio item was created.

type
string
required

The type of the portfolio item.

Allowed value: "Business"
business_id
string<uuid>
required

The UUID of the business associated with the portfolio item.

Example:

"ede786f3-33ae-4894-843d-af2025f1d5b0"

business_url
string<uri>
required

The URL to the business details.

Required string length: 1 - 2083
item_url
string
required
read-only
group_url
string | null
required
console_url
string
required
read-only
group_id
string<uuid> | null

The unique identifier of the portfolio group.

user
UserAttributionResponse (v1) · object | null

The user who created the portfolio item.